Handles GET requests for the /creditNotes route
curl --request GET \
--url https://api.valyx.com/external/creditNotes \
--header 'X-Valyx-Signature: <x-valyx-signature>'import requests
url = "https://api.valyx.com/external/creditNotes"
headers = {"X-Valyx-Signature": "<x-valyx-signature>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Valyx-Signature': '<x-valyx-signature>'}};
fetch('https://api.valyx.com/external/creditNotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-Valyx-Signature': '<x-valyx-signature>'}};
fetch('https://api.valyx.com/external/creditNotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valyx.com/external/creditNotes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Valyx-Signature", "<x-valyx-signature>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valyx.com/external/creditNotes")
.header("X-Valyx-Signature", "<x-valyx-signature>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valyx.com/external/creditNotes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Valyx-Signature: <x-valyx-signature>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.valyx.com/external/creditNotes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Valyx-Signature"] = '<x-valyx-signature>'
response = http.request(request)
puts response.read_bodyimport Foundation
let url = URL(string: "https://api.valyx.com/external/creditNotes")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["X-Valyx-Signature": "<x-valyx-signature>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.valyx.com/external/creditNotes")
.get()
.addHeader("X-Valyx-Signature", "<x-valyx-signature>")
.build()
val response = client.newCall(request).execute()using RestSharp;
var options = new RestClientOptions("https://api.valyx.com/external/creditNotes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Valyx-Signature", "<x-valyx-signature>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{}APIs
Filter Credit Notes
Retrieves credit note data based on filters.
GET
/
external
/
creditNotes
Handles GET requests for the /creditNotes route
curl --request GET \
--url https://api.valyx.com/external/creditNotes \
--header 'X-Valyx-Signature: <x-valyx-signature>'import requests
url = "https://api.valyx.com/external/creditNotes"
headers = {"X-Valyx-Signature": "<x-valyx-signature>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Valyx-Signature': '<x-valyx-signature>'}};
fetch('https://api.valyx.com/external/creditNotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {'X-Valyx-Signature': '<x-valyx-signature>'}};
fetch('https://api.valyx.com/external/creditNotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.valyx.com/external/creditNotes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Valyx-Signature", "<x-valyx-signature>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.valyx.com/external/creditNotes")
.header("X-Valyx-Signature", "<x-valyx-signature>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.valyx.com/external/creditNotes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Valyx-Signature: <x-valyx-signature>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}require 'uri'
require 'net/http'
url = URI("https://api.valyx.com/external/creditNotes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Valyx-Signature"] = '<x-valyx-signature>'
response = http.request(request)
puts response.read_bodyimport Foundation
let url = URL(string: "https://api.valyx.com/external/creditNotes")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["X-Valyx-Signature": "<x-valyx-signature>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.valyx.com/external/creditNotes")
.get()
.addHeader("X-Valyx-Signature", "<x-valyx-signature>")
.build()
val response = client.newCall(request).execute()using RestSharp;
var options = new RestClientOptions("https://api.valyx.com/external/creditNotes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Valyx-Signature", "<x-valyx-signature>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{}Headers
Auth key for fetching ledger entries
Query Parameters
Fetch credit notes created on or after this date
Fetch credit notes created on or before this date
Fetch credit notes with total amount >= this amount
Fetch credit notes with total amount <= this amount
Exact credit note numbers to search for
Invoice number reference against which credit note was created
Fetch credit notes only for these customers
Fetch credit notes only for these internal stakeholders
Fetch credit notes which are of these types
Fetch credit notes which are of these status
Page number for pagination.
Page size for pagination.
Currencies
Response
200 - application/json
Success
The response is of type object.